curl --request POST \
--url https://external.pleo.io/v0/tag-groups/{groupId}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"archived": false,
"code": "12345",
"name": "Lunch allowance",
"otherDimensionValues": [
"value1",
"value2"
]
}
'import requests
url = "https://external.pleo.io/v0/tag-groups/{groupId}/tags"
payload = {
"archived": False,
"code": "12345",
"name": "Lunch allowance",
"otherDimensionValues": ["value1", "value2"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
archived: false,
code: '12345',
name: 'Lunch allowance',
otherDimensionValues: ['value1', 'value2']
})
};
fetch('https://external.pleo.io/v0/tag-groups/{groupId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"archived": false,
"code": "12345",
"createdAt": "2023-08-23T03:11:48Z",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "c04c7e9e-6c15-11ee-b962-0242ac120002",
"updatedAt": "2023-08-23T03:11:48Z",
"name": "Lunch allowance"
}
}Creates a new tag sub-resource under the given tag group
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
Unique identifier of the tag group.
Body
Boolean flag used to determine whether the tag is archived.
false
Code used in the external ERP/accounting system to identify the tag.
"12345"
User readable name of the tag.
"Lunch allowance"
Dimension values outside the two main dimensions ordered by display order. Values not provided will be given empty values.Values will be ignored if there is not enough dimensions to add them to.
Dimension values outside the two main dimensions ordered by display order. Values not provided will be given empty values.Values will be ignored if there is not enough dimensions to add them to.
["value1", "value2"]
Response
Tag created successfully.
Show child attributes
Show child attributes
Was this page helpful?